Skip to content
POST/{organizationId}/{mandateId}/donation/donations/updateDonationSendDetails

Update donation send details

Updates the send details of a specific donation for a given mandate and resends the confirmation

Required permissions:

  • mandate.read

  • donation.edit

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

sendMethodstringrequired

Options:

emailpostal
donationIdstringrequired

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/donation/donations/updateDonationSendDetails
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/donation/donations/updateDonationSendDetails' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "sendMethod": "email",
  "donationId": "string"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

resentnumberrequired
creatednumberrequired

Response

200
{
  "resent": 1,
  "created": 1
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}